Loading...
Searching...
No Matches
Magick::waveImage Class Reference

## Public Member Functions

| waveImage (const double amplitude_=25.0, const double wavelength_=150.0)
void | operator() (Image &image_) const

## Private Attributes

double | _amplitude
double | _wavelength

## Detailed Description

Definition at line 1206 of file STL.h.

## Constructor & Destructor Documentation

## waveImage()

Magick::waveImage::waveImage | ( | const double | amplitude_ = `25.0`,
|  | const double | wavelength_ = `150.0`
| ) |  |

Definition at line 1117 of file STL.cpp.

: _amplitude( amplitude_ ),
_wavelength( wavelength_ )
{
}

## Member Function Documentation

## operator()()

void Magick::waveImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1123 of file STL.cpp.

{
image_.wave( _amplitude, _wavelength );
}

## Field Documentation

## _amplitude

double Magick::waveImage::_amplitude

private

Definition at line 1215 of file STL.h.

## _wavelength

double Magick::waveImage::_wavelength

private

Definition at line 1216 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp